apt 3.2.0 commandline package manager

Public Member Functions | Protected Attributes | List of all members
PackageManager Class Reference
Inheritance diagram for PackageManager:

## Public Member Functions
virtual void | Start (int=-1)
virtual void | Stop ()
virtual void | StartDpkg ()
virtual pid_t | fork ()
virtual void | Pulse ()
virtual long | GetPulseInterval ()
virtual bool | StatusChanged (std::string PackageName, unsigned int StepsDone, unsigned int TotalSteps, std::string HumanReadableAction)
virtual void | Error (std::string, unsigned int, unsigned int, std::string)
virtual void | ConffilePrompt (std::string, unsigned int, unsigned int, std::string)

## Protected Attributes
std::string | progress_str
float | percentage
int | last_reported_progress

## Member Function Documentation

## ◆ StartDpkg()

virtual void StartDpkg | ( |  | ) |
| inline virtual

Reimplemented in PackageManagerProgressDeb822Fd, and PackageManagerProgressFd.

The documentation for this class was generated from the following files:

- apt-pkg/install-progress.h
- apt-pkg/install-progress.cc